<template>
    <div id="app">
        <h1>Login</h1>
    <input type="text" placeholder="Username" v-model="username" />
    <input type="password" placeholder="Password" v-model="sifra" />
    <input type="button" @click="login" value="Login" />
    <br>
    <input type="button" value="Signup" @click="$router.push('/signup')">
    </div>
</template>

<script>

import api from "../components/Api"


const url = "http://127.0.0.1:5000";

export default{
data() {
  return{
    username:'',
    sifra:''
  }
},

methods:{
login () {
   api.post(url + "/login", {
      username:this.username,
      sifra:this.sifra
    })
    .then((response) => {
      if (response.data.token) {
        localStorage.setItem("token", JSON.stringify(response.data));
        console.log("aaa")
      }
      return response.data;
    });
    }
  }
}
</script>
